/*
 * File Ad_TPEx.h
 */

#ifndef __AD_TPEX_H
#define __AD_TPEX_H

/*
 * Custom include files
 */
#include "types.h"

/*
 * Local function declarations
 */
extern void SetPGA        (BOOL bCouplingCh1, BOOL bCouplingCh2, long int lSetting);
extern void SetDA         (int nCh, float rValue);
extern BOOL EOC(void);
extern void SetPostCount  (WORD wPostCount);
extern void SetTrigLevel  (HS508_MEASDEP* pMeasSettings);
extern void SetTrigBit    (void);
extern void SetTimeBase   (float* fFreq);
extern void SetCalOutput  (float* fFreq);
extern void ClearSRAM     (void);
extern void GoToSRAMPos   (WORD wSRAMPos);
extern void ReadSRAMData  (HS508_MEASDEP* pMeasSettings);
extern void MeasureHS508  (HS508_MEASDEP* pMeasSettings);
extern void CalibrateInstrument( void );
#endif
