/*
 * File GlobalVars.h
 */

#include <_defs.h>

/*
 * Custom include files
 */
#include "ad_tp112.h"
#include "types.h"

/*
 * RAMData pointers ---> initialized in TScopeWindow
 */
extern unsigned far* pGlobalRAMDataCH1;
extern unsigned far* pGlobalRAMDataCH2;
extern unsigned far* pGlobalRAMDataDig;
extern unsigned far* pLocalRAMDataCH1;
extern unsigned far* pLocalRAMDataCH2;
extern unsigned far* pOldLocalRAMDataCH1;
extern unsigned far* pOldLocalRAMDataCH2;

/*
 * Local variable declarartions
 */
extern int  nScopeBoxYBottom, nNumFrameYPix, nNumYPixPerDiv;
extern int  nScopeBoxXRight,  nNumFrameXPix, nNumXPixPerDiv;
extern int  nNumSamples;
extern BOOL bFirstLIVE;
extern BOOL bKillTimer;
extern BOOL bDataRetrieved;
extern BOOL bCanMeasure;

/*
 * Local function declarations
 */
extern double DeriveFloatingPointNumber( const char* pVoltDivBuffer );
extern double AdjustDecimal( char ExpChar, char* pVoltDivBuffer );
